/*!*****************************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js!./node_modules/vue-loader/dist/stylePostLoader.js!./node_modules/stylus-loader/dist/cjs/index.js!./node_modules/vue-loader/dist/index.js??ruleSet[1].rules[6].use[0]!./www/FooterBar.vue?vue&type=style&index=0&id=574b317c&lang=stylus ***!
  \*****************************************************************************************************************************************************************************************************************************************************************************************/
.footer {
  background-color: #22313f;
  margin: 15vh 0 0 0;
  padding: 0;
  border-bottom: 2px solid #24252a;
  border-top: 2px solid #24252a;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  justify-content: space-between;
  width: 100%;
  max-width: 100%;
  overflow: hidden;
  height: 44px;
  max-height: 44px;
}
.footer__item {
  font: normal 12pt 'Montserrat', sans-serif;
  color: #c5eff7;
  align-self: center;
  width: fit-content;
  overflow: hidden;
  white-space: nowrap;
  cursor: pointer;
}
@media (hover: hover) {
.footer__item:hover {
    text-decoration: underline;
    color: #89c4f4;
}
}
.footer__item--left {
  justify-self: left;
  margin-left: 1em;
}
.footer__item--center {
  justify-self: center;
  font-size: smaller;
}
.footer__item--right {
  justify-self: right;
  margin-right: 1em;
}
@media screen and (max-width: 425px) {
.footer__item--short {
    display: none;
}
}
@media screen and (max-width: 375px) {
.footer__item--shorter {
    display: none;
}
}
.footer__item span {
  padding: 0.125em;
}
.footer__popup {
  position: fixed;
  bottom: 10px;
  left: 0;
  right: 0;
  width: fit-content;
  max-width: 80%;
  margin: auto;
  color: #ded29e;
  background-color: #453823;
  padding: 0.75em 1em;
  border-radius: 25px;
  border: 3px solid #2c2416;
}
.footer__popup--close {
  position: absolute;
  left: -0.5em;
  top: -0.5em;
  text-align: center;
  height: 1.4em;
  width: 1.4em;
  padding: 0.2em;
  background-color: #453823;
  color: #ded29e;
  border: 1px solid #2c2416;
  border-radius: 2em;
  cursor: pointer;
}
@media (hover: hover) {
.footer__popup--close:hover {
    background-color: #685642;
    color: #f4f0cb;
    border-color: #b7c68b;
}
}
.footer__text {
  font: normal 10pt 'Noto Sans', sans-serif;
  text-align: center;
  padding: 5px;
}
.footer__title {
  color: #f4f0cb;
  font: bold 12pt 'Montserrat', sans-serif;
  text-align: center;
  padding-top: 10px;
}
.footer__version {
  color: #b7c68b;
  font: normal 10pt 'Montserrat', sans-serif;
  text-align: center;
  padding-top: 5px;
}
.footer__button {
  color: #f4f0cb;
  background-color: #685642;
  border: 2px solid;
  border-radius: 15px;
  width: fit-content;
  margin: 20px auto 10px;
  padding: 5px 10px;
  cursor: pointer;
}
@media (hover: hover) {
.footer__button:hover {
    color: #b7c68b;
    background-color: #2c2416;
}
}

/*!******************************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js!./node_modules/vue-loader/dist/stylePostLoader.js!./node_modules/stylus-loader/dist/cjs/index.js!./node_modules/vue-loader/dist/index.js??ruleSet[1].rules[6].use[0]!./www/PlayerInfo.vue?vue&type=style&index=0&id=9eb3cf56&lang=stylus ***!
  \******************************************************************************************************************************************************************************************************************************************************************************************/
.player_info {
  display: block;
  text-align: left;
  text-transform: none;
}
.player_info--columns {
  display: flex;
  justify-content: space-evenly;
}
@media screen and (max-width: 500px) {
.player_info--columns {
    display: block;
}
}
.player_info__icon {
  height: 96px;
  width: 96px;
  margin: 10px;
  border: 2px solid currentcolor;
  border-radius: 48px;
  vertical-align: bottom;
}
@media screen and (max-width: 500px) {
.player_info__icon {
    margin: 5px auto;
    display: block;
}
}
.player_info__name {
  font: 20px 'Montserrat', sans-serif;
  margin: 10px;
  border-bottom: 1px solid;
  white-space: normal;
}
@media screen and (max-width: 500px) {
.player_info__name {
    text-align: center;
    margin: 5px;
}
}
.player_info__joined {
  font: 12px 'Noto Sans', sans-serif;
  margin: 10px;
}
@media screen and (max-width: 500px) {
.player_info__joined {
    margin: 1px;
    text-align: center;
}
}
.player_info__short {
  text-align: center;
}
.player_info__blurb {
  font: 14px 'Noto Sans', sans-serif;
  white-space: pre-wrap;
  margin: 10px;
  max-height: 25vh;
  overflow: auto;
}
@media screen and (max-width: 500px) {
.player_info__blurb {
    margin: 10px 5px 5px 5px;
}
}

/*!******************************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js!./node_modules/vue-loader/dist/stylePostLoader.js!./node_modules/stylus-loader/dist/cjs/index.js!./node_modules/vue-loader/dist/index.js??ruleSet[1].rules[6].use[0]!./www/PlayerName.vue?vue&type=style&index=0&id=13bff7b2&lang=stylus ***!
  \******************************************************************************************************************************************************************************************************************************************************************************************/
.player--inline {
  display: inline-block;
}
.player__icon {
  height: 16px;
  width: 16px;
  margin-right: 0.3em;
  border: 1px solid;
  border-radius: 9px;
  vertical-align: middle;
}
.player__icon--large {
  height: 32px;
  width: 32px;
  border-radius: 17px;
}
.player__name {
  text-transform: none;
}
.player--unknown {
  height: 8px;
  width: 30px;
  background-color: #565c58;
  display: inline-block;
}

/*!********************************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js!./node_modules/vue-loader/dist/stylePostLoader.js!./node_modules/stylus-loader/dist/cjs/index.js!./node_modules/vue-loader/dist/index.js??ruleSet[1].rules[6].use[0]!./www/PlayerFinder.vue?vue&type=style&index=0&id=98142fe6&lang=stylus ***!
  \********************************************************************************************************************************************************************************************************************************************************************************************/
.find_player {
  font: 10pt 'Noto Sans', sans-serif;
  display: inline-block;
  margin: 10px;
}
.find_player__title {
  font: 12pt 'Montserrat', sans-serif;
  font-weight: bold;
  text-transform: lowercase;
  padding: 0.5em;
}
.find_player__selected {
  margin-top: 5px;
  padding: 10px 0;
  background-color: #ded29e;
  border-radius: 8px;
}
.find_player__selected--email {
  margin-top: 1em;
  font-size: 1.2em;
}
.find_player__selected--text {
  padding: 10px;
}
.find_player__instructions {
  padding: 10px 0 5px;
}
.find_player__matches {
  margin: 5px auto 0;
  padding: 0 3px;
  width: 250px;
}
.find_player__match {
  display: block;
  overflow: hidden;
  text-align: left;
  padding: 5px;
  color: #2c2416;
  background-color: #ded29e;
  border: 1px solid #ded29e;
  cursor: pointer;
}
@media (hover: hover) {
.find_player__match:hover {
    border-color: #22313f;
    background-color: #89c4f4;
    color: #22313f;
}
}
.find_player__input {
  font: 10pt 'Roboto Mono', monospace;
  border: 1px solid #2c2416;
  background-color: #b7c68b;
  color: #453823;
  width: 250px;
  margin: 0 auto;
  padding: 0 3px;
}
.find_player__input::selection {
  background-color: #89c4f4;
}

/*!*****************************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js!./node_modules/vue-loader/dist/stylePostLoader.js!./node_modules/stylus-loader/dist/cjs/index.js!./node_modules/vue-loader/dist/index.js??ruleSet[1].rules[6].use[0]!./www/GamesPage.vue?vue&type=style&index=0&id=c366f08c&lang=stylus ***!
  \*****************************************************************************************************************************************************************************************************************************************************************************************/
.gamelist__section {
  padding: 100px 0;
  text-align: center;
  width: 100%;
}
.gamelist__section--invitations {
  background-color: #2c3e50;
}
.gamelist__section--myturn {
  background-color: #2c3e50;
}
.gamelist__section--control {
  background-color: #685642;
}
.gamelist__section--waiting {
  background-color: #2c3e50;
}
.gamelist__section--completed {
  background-color: #464c48;
}
.gamelist__section--loading {
  background-color: #464c48;
  height: calc(100vh - 245px);
}
.gamelist__expand-enter-from,
.gamelist__expand-leave-to {
  padding: 0 0;
  height: 0;
}
.gamelist__expand-enter-to,
.gamelist__expand-leave-from {
  padding: 60px 0;
  height: 85px;
}
.gamelist__expand-active {
  transition: padding 0.5s ease-in, height 0.5s ease-in;
}
.gamelist__header {
  font: 12pt 'Montserrat', sans-serif;
  text-transform: lowercase;
  margin: 15px auto;
  padding: 5px 15px;
  display: block;
  border: 1px solid;
  border-radius: 25px;
  width: fit-content;
}
.gamelist__invitation {
  width: 298px;
  min-height: 85px;
  color: #2c3e50;
  display: inline-block;
  background-color: #89c4f4;
  margin: 10px;
  padding: 10px;
  border: 1px solid #22313f;
  border-radius: 1em;
}
.gamelist__myturn {
  position: relative;
  color: #2c3e50;
  background-color: #89c4f4;
  margin: 20px 15px;
  padding: 8px;
  display: inline-block;
  cursor: pointer;
  border: 2px solid #2574a9;
  border-radius: 25px;
}
@media (hover: hover) {
.gamelist__myturn:hover {
    background-color: #c5eff7;
    border-color: #3a539b;
}
}
.gamelist__header--invitations {
  color: #89c4f4;
  background-color: #22313f;
}
.gamelist__header--myturn {
  color: #2c3e50;
  background-color: #89c4f4;
  border-color: #2574a9;
}
.gamelist__control {
  width: 298px;
  min-height: 85px;
  color: #453823;
  background-color: #b3a580;
  margin: 10px;
  display: inline-flex;
  position: relative;
  cursor: pointer;
  align-items: center;
  justify-content: space-evenly;
  border: 1px solid #453823;
  border-radius: 8px;
}
@media (hover: hover) {
.gamelist__control:hover {
    background-color: #ded29e;
    border-color: #b3a580;
}
}
.gamelist__newgame--vs {
  width: 298px;
  color: #453823;
  background-color: #b3a580;
  margin: 10px auto;
  display: block;
  text-align: center;
  border: 1px solid #453823;
  border-radius: 8px;
}
.gamelist__newgame--start {
  display: block;
  width: fit-content;
  padding: 0.2em 2em;
  background-color: #f4f0cb;
  color: #685642;
  cursor: pointer;
  border: 1px solid;
  border-radius: 8px;
  margin: 1em auto;
}
@media (hover: hover) {
.gamelist__newgame--start:hover {
    background-color: #b7c68b;
    color: #453823;
}
}
.gamelist__waiting {
  position: relative;
  color: #2574a9;
  background-color: #22313f;
  margin: 20px 15px;
  padding: 8px;
  display: inline-block;
  cursor: pointer;
  border: 2px solid #24252a;
  border-radius: 25px;
}
@media (hover: hover) {
.gamelist__waiting:hover {
    background-color: #24252a;
    border-color: #3a539b;
}
}
.gamelist__header--waiting {
  color: #2574a9;
  background-color: #22313f;
  border-color: #24252a;
}
.gamelist__completed {
  position: relative;
  margin: 20px 15px;
  padding: 8px;
  display: inline-block;
  cursor: pointer;
  border: 2px solid;
  border-radius: 25px;
}
.gamelist__completed--tie {
  color: #d1b767;
  background-color: #584715;
  border-color: #231d09;
}
@media (hover: hover) {
.gamelist__completed--tie:hover {
    background-color: #231d09;
    border-color: #c09c2e;
}
}
.gamelist__completed--win {
  color: #779884;
  background-color: #1f3428;
  border-color: #0d1510;
}
@media (hover: hover) {
.gamelist__completed--win:hover {
    background-color: #0d1510;
    border-color: #447256;
}
}
.gamelist__completed--lose {
  color: #8b5353;
  background-color: #3f1919;
  border-color: #2a1111;
}
@media (hover: hover) {
.gamelist__completed--lose:hover {
    background-color: #2a1111;
    border-color: #722d2d;
}
}
.gamelist__header--completed {
  color: #747976;
  background-color: #343b36;
  border-color: #202822;
}
.gamelist__dismiss {
  position: absolute;
  font-size: 26px;
  top: -0.6em;
  right: -0.6em;
  padding: 0 0.4em;
  color: #747976;
  background-color: #343b36;
  border: 2px solid;
  border-radius: 1em;
}
@media (hover: hover) {
.gamelist__dismiss:hover {
    background-color: #584715;
    color: #d1b767;
}
}
.gamelist__close {
  position: absolute;
  font-size: 20px;
  top: -0.5em;
  left: -0.5em;
  padding: 0 0.4em;
  color: #ded29e;
  background-color: #453823;
  border: 1px solid #2c2416;
  border-radius: 1em;
  cursor: pointer;
  animation: fade-in 0.4s ease;
}
@media (hover: hover) {
.gamelist__close:hover {
    background-color: #2c2416;
    color: #b7c68b;
    border-color: #b7c68b;
}
}
.gamelist__loading {
  min-height: 85px;
  color: #747976;
  background-color: #343b36;
  margin: 60px 10px;
  display: inline-flex;
  cursor: progress;
  align-items: center;
  justify-content: space-evenly;
  border: 1px solid #202822;
  border-radius: 8px;
}
@media (hover: hover) {
.gamelist__loading:hover {
    background-color: #202822;
}
}
.gamelist__grow-enter-active,
.gamelist__grow-leave-active {
  transition: transform 0.5s ease, opacity 0.5s ease;
}
.gamelist__grow-move {
  transition: transform 0.5 ease-in;
}
.gamelist__grow-enter-from,
.gamelist__grow-leave-to {
  opacity: 0;
  transform: scale(0.1);
}
.gamelist__grow-enter-to,
.gamelist__grow-leave-from {
  opacity: 1;
  transform: scale(1);
}
.gamelist__img {
  height: 200px;
  width: 200px;
  margin: 0 auto;
  display: block;
}
.gamelist__msg {
  position: absolute;
  height: 20px;
  width: 20px;
  bottom: 35px;
  right: 55px;
}
.gamelist__live {
  position: absolute;
  height: 20px;
  width: 20px;
  bottom: 35px;
  right: 10px;
}
.gamelist__icon {
  height: 75px;
  width: 75px;
  padding: 5px;
  display: block;
}
.gamelist__button {
  display: inline-block;
  font-size: smaller;
  margin: 0.5em 1em 0;
  padding: 0.3em 0.7em;
  border: 1px solid;
  border-radius: 1em;
  cursor: pointer;
}
.gamelist__button--accept {
  background-color: #32533f;
  color: #aabeb2;
}
@media (hover: hover) {
.gamelist__button--accept:hover {
    background-color: #1f3428;
    color: #aabeb2;
}
}
.gamelist__button--rules {
  background-color: #2c3e50;
  color: #89c4f4;
  cursor: help;
}
@media (hover: hover) {
.gamelist__button--rules:hover {
    background-color: #22313f;
    color: #c5eff7;
}
}
.gamelist__button--reject {
  background-color: #532121;
  color: #b28c8c;
}
@media (hover: hover) {
.gamelist__button--reject:hover {
    background-color: #3f1919;
    color: #b28c8c;
}
}
.gamelist__rules {
  display: inline-block;
  position: absolute;
  right: 0.2em;
  top: 0.2em;
  padding: 0.3em 0.6em;
  background-color: #ded29e;
  color: #685642;
  font-size: smaller;
  border: 1px solid;
  border-radius: 1em;
  cursor: help;
}
@media (hover: hover) {
.gamelist__rules:hover {
    background-color: #f4f0cb;
    color: #453823;
}
}
.gamelist__text {
  text-align: start;
  padding: 5px 10px 5px 5px;
  flex: auto;
}
.gamelist__title {
  text-transform: lowercase;
  font: 12pt 'Montserrat', sans-serif;
  font-weight: bold;
}
.gamelist__myturn .gamelist__title {
  color: #22313f;
}
.gamelist__control .gamelist__title {
  color: #2c2416;
}
.gamelist__waiting .gamelist__title {
  color: #c5eff7;
}
.gamelist__completed--tie .gamelist__title {
  color: #f3edd9;
}
.gamelist__completed--win .gamelist__title {
  color: #98b5b5;
}
.gamelist__completed--lose .gamelist__title {
  color: #fbeba6;
}
.gamelist__desc {
  font: 10pt 'Noto Sans', sans-serif;
  margin: 3px 0;
}
.gamelist--centered {
  text-align: center;
}
.gamelist--clickable {
  cursor: pointer;
}

/*!****************************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js!./node_modules/vue-loader/dist/stylePostLoader.js!./node_modules/stylus-loader/dist/cjs/index.js!./node_modules/vue-loader/dist/index.js??ruleSet[1].rules[6].use[0]!./www/InfoPage.vue?vue&type=style&index=0&id=4f81d3fa&lang=stylus ***!
  \****************************************************************************************************************************************************************************************************************************************************************************************/
.info {
  background-color: #2c3e50;
  margin: auto;
  width: 85vw;
  max-width: 600px;
}
.info__title {
  font: bold 14pt 'Montserrat', sans-serif;
  color: #c5eff7;
  width: fit-content;
  text-transform: lowercase;
  margin: 3em auto 1em;
}
.info__header {
  font: 13pt 'Noto Sans', sans-serif;
  color: #c5eff7;
  width: fit-content;
  text-transform: lowercase;
  margin: 1.5em 0 1em;
  border-bottom: 1px solid #2574a9;
}
.info__text {
  font: 12pt 'Noto Sans', sans-serif;
  line-height: 1.75em;
  color: #89c4f4;
  margin: 1em 0;
}
.info__profile {
  width: fit-content;
  padding: 0.5em 1em;
  margin: 1em 0;
  color: #22313f;
  background-color: #89c4f4;
  border: 1px solid #24252a;
  border-radius: 2em;
  cursor: pointer;
  max-width: 300px;
}
@media (hover: hover) {
.info__profile:hover {
    color: #2c3e50;
    background-color: #c5eff7;
}
}
@media screen and (min-width: 600px) {
.info__profile {
    max-width: 450px;
}
}

/*!*****************************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js!./node_modules/vue-loader/dist/stylePostLoader.js!./node_modules/stylus-loader/dist/cjs/index.js!./node_modules/vue-loader/dist/index.js??ruleSet[1].rules[6].use[0]!./www/LoginPage.vue?vue&type=style&index=0&id=21061c62&lang=stylus ***!
  \*****************************************************************************************************************************************************************************************************************************************************************************************/
#login {
  position: absolute;
  top: 0px;
  bottom: 0;
  width: 100%;
  background-color: #2c3e50;
}
.login__banner {
  font: 24pt 'Montserrat', sans-serif;
  color: #c5eff7;
  text-align: center;
  margin: 35px auto 75px;
  text-transform: lowercase;
  background-color: #22313f;
  border-top: 3px solid #24252a;
  border-bottom: 5px solid #24252a;
  padding: 0.5em;
}
img.login__logo {
  display: block;
  margin: auto;
  height: 90px;
  width: 90px;
  border-radius: 50px;
  border: 5px solid #24252a;
  transform: rotate(345deg);
  position: absolute;
  top: -55px;
  left: -25px;
}
.intro__blurb {
  font: 13pt 'Noto Sans', sans-serif;
  line-height: 1.5em;
  color: #89c4f4;
  background-color: #2c3e50;
  padding: 0.5em 8vw;
  width: 84vw;
  max-width: 600px;
  margin: auto;
}
.login {
  margin: 0 auto 2em;
  width: fit-content;
  background-color: #22313f;
  border: 1px solid #24252a;
  border-radius: 10px;
  text-align: center;
}
.login__title {
  font: 12pt 'Montserrat', sans-serif;
  background-color: #24252a;
  color: #c5eff7;
  border-radius: 10px 10px 0 0;
  padding: 5px 10px;
  text-transform: lowercase;
  position: relative;
}
.login__content {
  font: 10pt 'Noto Sans', sans-serif;
  background-color: #22313f;
  color: #89c4f4;
  margin: 25px 15px;
  min-width: 275px;
}
.login__content a {
  color: #2574a9;
  text-decoration: none;
}
@media (hover: hover) {
.login__content a:hover {
    color: #c5eff7;
    text-decoration: underline;
}
}
.login__header {
  padding: 5px;
}
.login__label {
  padding: 5px;
}
.login__input {
  font: 10pt 'Roboto Mono', monospace;
  border: 1px solid #24252a;
  background-color: #c5eff7;
  color: #2c3e50;
  margin: 10px 5px;
  padding: 0 3px;
}
@media screen and (max-width: 500px) {
.login__input {
    display: block;
    margin: 10px auto;
}
}
.login__input::selection {
  background-color: #f4f0cb;
}
.login__verify {
  width: 8ch;
}
.login__button {
  font: 10pt 'Roboto Mono', monospace;
  border: 1px solid #24252a;
  border-radius: 5px;
  background-color: #89c4f4;
  color: #2c3e50;
  text-align: center;
  padding: 2px 10px;
  margin: 10px 5px;
}
@media (hover: hover) {
.login__button:hover {
    background-color: #c5eff7;
    color: #3a539b;
}
}
.login__button:disabled {
  background-color: #b1c4b1;
  color: #565c58;
  border-color: #464c48;
}
.login__remember {
  text-align: center;
}
.login__checkbox {
  margin: 10px 5px;
  vertical-align: middle;
}
.login__content--help {
  font-size: 8pt;
  transition: all 2s;
  margin: 5px;
}
.login__content--error {
  color: #e59899;
  font-size: 10pt;
  transition: all 2s;
}

/*!*******************************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js!./node_modules/vue-loader/dist/stylePostLoader.js!./node_modules/stylus-loader/dist/cjs/index.js!./node_modules/vue-loader/dist/index.js??ruleSet[1].rules[6].use[0]!./www/ProfilePage.vue?vue&type=style&index=0&id=8c039bbc&lang=stylus ***!
  \*******************************************************************************************************************************************************************************************************************************************************************************************/
.profile {
  background-color: #453823;
  color: #b7c68b;
  font: 10pt 'Noto Sans', sans-serif;
  position: absolute;
  right: 0px;
  top: 45px;
  border-left: 2px solid #2c2416;
  border-bottom: 2px solid #2c2416;
  border-bottom-left-radius: 50px;
  display: grid;
  grid-template-columns: 1fr 2fr;
  width: fit-content;
  padding: 15px;
  z-index: 1;
}
@media screen and (max-width: 500px) {
.profile {
    padding: 10px;
    grid-template-columns: 1fr;
}
}
.profile a {
  color: #ded29e;
  text-decoration: none;
}
@media (hover: hover) {
.profile a:hover {
    color: #b7c68b;
    text-decoration: underline;
}
}
.profile__slide-enter,
.profile__slide-leave-to {
  max-height: 0px;
  padding-top: 0px;
  padding-bottom: 0px;
  overflow: hidden;
  place-content: end;
  border-bottom-width: 0px;
  border-left-width: 0px;
}
.profile__slide-enter-to,
.profile__slide-leave {
  max-height: 400px;
  overflow: hidden;
  place-content: end;
  border-bottom-width: 2px;
  border-left-width: 2px;
}
.profile__slide-enter-active,
.profile__slide-leave-active {
  transition: max-height 0.5s ease-in, padding 0.5s ease-in, border-bottom-width 0.5s ease-in, border-left-width 0.5s ease-in;
}
.profile__menu {
  padding: 0 10px;
  height: 44px;
  max-height: 44px;
  overflow: hidden;
  cursor: pointer;
  display: table-cell;
  vertical-align: middle;
}
@media (hover: hover) {
.profile__menu:hover {
    background-color: #453823;
    color: #b7c68b;
}
}
.profile__menu--expanded {
  background-color: #453823;
  color: #b7c68b;
}
@media screen and (max-width: 300px) {
.profile__name {
    display: none;
}
}
.profile__code {
  font: 8pt 'Noto Sans', sans-serif;
  align-self: center;
  text-align: center;
  margin-top: 10px;
}
.profile__icon {
  justify-self: center;
}
@media screen and (max-width: 500px) {
.profile__icon {
    justify-self: auto;
    display: flex;
    align-items: flex-end;
    justify-content: space-around;
}
}
.profile__icon--choices {
  padding-top: 5px;
}
.profile__icon--hint {
  text-align: center;
  padding-top: 10px;
}
.profile__text {
  font: 10pt 'Roboto Mono', monospace;
  margin: 10px;
  display: inline-block;
}
@media screen and (min-width: 500px) {
.profile__text {
    width: 250px;
}
}
.profile__select {
  display: block;
}
.profile__input {
  font: 10pt 'Roboto Mono', monospace;
  border: 1px solid #2c2416;
  background-color: #b7c68b;
  color: #453823;
  margin: 10px;
  width: 250px;
  padding: 0 3px;
}
.profile__input::selection {
  background-color: #89c4f4;
}
@media screen and (max-width: 350px) {
.profile__input {
    width: 200px;
}
}
.profile__blurb {
  font: 10pt 'Noto Sans', sans-serif;
  margin: 10px 10px 10px 0;
  display: block;
  white-space: pre-wrap;
  width: 250px;
}
@media screen and (min-width: 500px) {
.profile__blurb {
    width: 300px;
}
}
.profile__textarea {
  font: 10pt 'Noto Sans', sans-serif;
  border: 1px solid #2c2416;
  background-color: #b7c68b;
  color: #453823;
  margin: 10px 10px 0 0;
  width: 300px;
  height: 10em;
  padding: 0 3px;
}
.profile__textarea::selection {
  background-color: #89c4f4;
}
@media screen and (max-width: 350px) {
.profile__textarea {
    width: 250px;
}
}
.profile__blurb_count {
  font: 8pt 'Roboto Mono', monospace;
  margin: 0 10px 0 auto;
  display: block;
  width: fit-content;
}
.profile__blurb_count--hidden {
  color: #453823;
}
.profile__blurb_count--error {
  color: #e26a6a;
}
.profile__buttons {
  display: grid;
  justify-items: center;
  grid-template-columns: 1fr 1fr 1fr;
}
@media screen and (max-width: 500px) {
.profile__buttons {
    grid-template-columns: 1fr;
}
}
.profile__button {
  font: 10pt 'Roboto Mono', monospace;
  border: 1px solid #2c2416;
  border-radius: 5px;
  background-color: #f4f0cb;
  color: #453823;
  text-align: center;
  padding: 2px 10px;
  margin: 10px;
}
@media (hover: hover) {
.profile__button:hover {
    background-color: #b7c68b;
    color: #2c2416;
}
}
.profile__button:disabled {
  background-color: #b1c4b1;
  color: #565c58;
  border-color: #464c48;
}
.profile__button--logout {
  background-color: #e59899;
  color: #892c2a;
  justify-self: end;
}
@media (hover: hover) {
.profile__button--logout:hover {
    background-color: #f1a9a0;
    color: #45130d;
}
}
.profile__hint {
  font: 8pt 'Noto Sans', sans-serif;
  text-align: center;
  padding: 5px;
}
.profile__error {
  font: 10pt 'Noto Sans', sans-serif;
  text-align: center;
  color: #e26a6a;
  white-space: normal;
}
.gravatar--menu {
  height: 32px;
  width: 32px;
  margin-right: 5px;
  border: 1px solid #24252a;
  border-radius: 16px;
  vertical-align: middle;
}
.gravatar--profile {
  height: 96px;
  width: 96px;
  border: 2px solid #2c2416;
  border-radius: 48px;
  vertical-align: bottom;
}
.profile__close {
  position: absolute;
  bottom: 0;
  left: 0;
  background-color: #685642;
  text-align: center;
  color: #ded29e;
  padding: 0.2em;
  height: 1.4em;
  width: 1.4em;
  border-radius: 25em;
  border: 1px solid #2c2416;
  animation: fade-in 0.4s ease;
}
@media (hover: hover) {
.profile__close:hover {
    background-color: #453823;
    color: hight_lighter;
    border-color: #f4f0cb;
}
}

/*!***********************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js!./node_modules/vue-loader/dist/stylePostLoader.js!./node_modules/stylus-loader/dist/cjs/index.js!./node_modules/vue-loader/dist/index.js??ruleSet[1].rules[6].use[0]!./www/SBB.vue?vue&type=style&index=0&id=509e5a86&lang=stylus ***!
  \***********************************************************************************************************************************************************************************************************************************************************************************/
.sbb {
  font: normal 12pt 'Noto Sans', sans-serif;
  margin: 0;
  background-color: #2c3e50;
  color: #2574a9;
}
.sbb__icon {
  height: 36px;
  width: 36px;
  margin: 4px 0 0 4px;
  transform: rotate(160deg);
  transition: transform 1s ease-in;
}
@media (hover: hover) {
.sbb__icon:hover {
    transform: rotate(340deg);
}
}
.sbb__icon--home {
  transform: rotate(340deg);
}
.menu {
  background-color: #22313f;
  margin: 0;
  padding: 0;
  border-bottom: 1px solid #24252a;
  display: grid;
  grid-template-columns: 1fr 1fr;
  justify-content: space-between;
  width: 100%;
  max-width: 100%;
  overflow: hidden;
  height: 44px;
  max-height: 44px;
}
.menu__item {
  font: normal 12pt 'Montserrat', sans-serif;
  align-self: center;
  color: #c5eff7;
  display: table;
  width: fit-content;
  overflow: hidden;
  white-space: nowrap;
  height: 44px;
}
.menu__text {
  padding: 3px 5px;
  display: table-cell;
  vertical-align: middle;
  text-transform: lowercase;
}
.menu__item--left {
  justify-self: left;
  cursor: pointer;
}
.menu__item--right {
  justify-self: right;
}

